import React from 'react';
import Input from '../../components/Input';
import Button from '../../components/Button';
import Label from '../../components/Label';
import './createNewUser.css';

const CreateNewUser = ({ users, setUsers }) => {
  let id = new Date().getTime();
  const createUser = (target) => {
    const name = target.elements['name'].value;
    const surname = target.elements['surname'].value;
    const address = target.elements['address'].value;

    if (name && surname && address) {
      const newUser = {
        id: id,
        name, surname, address
      }

      users.push(newUser);
      setUsers([...users]);
      target.reset();
    } 

  }

  return (
    <form className="form_create_user" onSubmit={(e) => {
      e.preventDefault()
      createUser(e.target)
    }}>
      <Label>Enter Name
      <Input type={'text'} name={'name'} /></Label>
      <Label>Enter Surname
      <Input type={'text'} name={'surname'} /></Label>
      <Label>Enter address
      <Input type={'text'} name={'address'} /></Label>
      <Button type="submit" buttonName={'Create user'} />
    </form>
  )
}

export default CreateNewUser;