import React, { useState } from 'react';
import Input from '../../components/Input'
import Button from '../../components/Button'
import './popup.css';

const Popup = ({ userPopup, handleSwitchPopup }) => {
  const [name, setName] = useState(userPopup.name);
  const [surname, setSurname] = useState(userPopup.surname);
  const [address, setAddress] = useState(userPopup.address);

  const closePopup = (e) => {
    e.stopPropagation();
    if (e.target.classList.contains("popup")) {
      handleSwitchPopup();
    }
  }

  const changeUser = (target) => {
    const name = target.elements['name'].value;
    const surname = target.elements['surname'].value;
    const address = target.elements['address'].value;

    if (name && surname && address) {
      userPopup.name = name;
      userPopup.surname = surname;
      userPopup.address = address;
    }

    handleSwitchPopup();

  }

  return (
    <div className="popup" onClick={closePopup}>
      <div className="popup_content">
        <span className="close" onClick={handleSwitchPopup}>&times;</span>
        <form className="form_change_user" onSubmit={(e) => {
          e.preventDefault()
          changeUser(e.target)
        }}>

          <Input
            type={'text'} 
            name={'name'}
            value={name}
            onChange={(e) => setName(e.target.value)}
          />
          <Input
            type={'text'}
            name={'surname'}
            value={surname}
            onChange={(e) => setSurname(e.target.value)}
          />
          <Input
            type={'text'}
            name={'address'}
            value={address}
            onChange={(e) => setAddress(e.target.value)}
          />

          <Button buttonName={'Save'} />

          
        </form>
      </div>
    </div>

  )
}

export default Popup;